summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-01-19 20:08:27 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-01-19 20:08:27 +0000
commit2b2f431a0021b4787ca3c028cefb30ad81347778 (patch)
tree951e0155f53027c8fd29eaba26df4f08292668d5 /dev-python
parentd725480af7cbc67d784e5d96f973fa41e9030123 (diff)
gentoo auto-resync : 19:01:2024 - 20:08:27
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-22.4.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin268626 -> 268642 bytes
-rw-r--r--dev-python/argh/Manifest2
-rw-r--r--dev-python/argh/argh-0.31.1.ebuild28
-rw-r--r--dev-python/elastic-transport/Manifest2
-rw-r--r--dev-python/elastic-transport/elastic-transport-8.12.0.ebuild64
-rw-r--r--dev-python/elasticsearch/Manifest2
-rw-r--r--dev-python/elasticsearch/elasticsearch-8.12.0.ebuild71
-rw-r--r--dev-python/jupyterlab/Manifest2
-rw-r--r--dev-python/jupyterlab/jupyterlab-4.0.11.ebuild77
-rw-r--r--dev-python/notebook/Manifest2
-rw-r--r--dev-python/notebook/notebook-7.0.7.ebuild62
-rw-r--r--dev-python/pydantic/Manifest2
-rw-r--r--dev-python/pydantic/pydantic-1.10.14.ebuild92
-rw-r--r--dev-python/pydata-sphinx-theme/Manifest3
-rw-r--r--dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.15.2.ebuild54
-rw-r--r--dev-python/pyfakefs/Manifest2
-rw-r--r--dev-python/pyfakefs/pyfakefs-5.3.4.ebuild38
-rw-r--r--dev-python/pypdf/Manifest2
-rw-r--r--dev-python/pypdf/pypdf-4.0.0.ebuild61
-rw-r--r--dev-python/sphinx-issues/Manifest2
-rw-r--r--dev-python/sphinx-issues/sphinx-issues-4.0.0.ebuild30
23 files changed, 640 insertions, 0 deletions
diff --git a/dev-python/Faker/Faker-22.4.0.ebuild b/dev-python/Faker/Faker-22.4.0.ebuild
new file mode 100644
index 000000000000..4a85c701f3c8
--- /dev/null
+++ b/dev-python/Faker/Faker-22.4.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index d6ecbbce4f55..537d842d0a06 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,5 +1,7 @@
DIST Faker-22.0.0.tar.gz 1702044 BLAKE2B 17bb5fe42f3d754358a1cf21a23a6917571bdeaff5967b94b3dcc62e08b274f9647ab19b9fa252ccf0f6f821da93ad474c2dddce3c07813048cd910b96d6c68a SHA512 b1539ca7b37d14dcbb06a4dbc198dfacaf4f0d7189f8e8a8986b42ac44780fa1b78c5b02d6f7a289c68a190a83e439f76a92587ee582105c4001246a39d046ce
DIST Faker-22.2.0.tar.gz 1702497 BLAKE2B ed5d215399d168b79661a5db5a0b7c9a8321f5fdba30041eb6640cc9e6700d838aa7291060b022cc76a44ce2dd3c28eabbe30be35e4b0311edf4c09f4c523042 SHA512 c9a97a29885d73cbd9920938574e7615be43243a4d524391a4e51a1dcf8ca3188a9606094e715773fbd81740145813b1920ac35e99e49dc932d95045e14fa546
+DIST Faker-22.4.0.tar.gz 1702616 BLAKE2B 1a50724c0c8faaf4b2e72d3b23f242be19862133c79a1d49b8919512355ec84d565768b1c0868f287708880a13e833bab4dc911a9f4df53d9a225fa3ea75e00c SHA512 a8531b839c46c0403c37d1f5d58b026a2f8bf9ef66c4ce6302673dc7988250d51d069740bf783abf5b610afc2d01e23aa769c7d32ee03927befb13a610adc586
EBUILD Faker-22.0.0.ebuild 858 BLAKE2B 2e7693b63d3810eadf6c63951eec2c96385940ba69e88ad8ee14cf28f14beb0a0bbe5edeaaabe694832506a24e7e4648ac9fc8469d7ba0f38d9b6c687b69a736 SHA512 c3540187d7ca070be4942be3e2718a980ba85c588409b419d90b9987efc5a2f26f8362ba7350c6df1d28865496dc1256b752d8a44157eb2e6ac78bfcf54a33a0
EBUILD Faker-22.2.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
+EBUILD Faker-22.4.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 5366385961fe..917e6e60cc52 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/argh/Manifest b/dev-python/argh/Manifest
index 7974958a4752..8ba9bf0492ab 100644
--- a/dev-python/argh/Manifest
+++ b/dev-python/argh/Manifest
@@ -1,3 +1,5 @@
DIST argh-0.31.0.tar.gz 65743 BLAKE2B c577273bf361b0bede939b7bcadf9c9ce6dd24d473b834ebd8d2bdc41d163e9cb6f2b79252ab810ac5b6f1f2e20b312cf096b23cf6cd4cd53705fb2c30b55f7d SHA512 d4caefede2596452d3256f4c2194517994dffdb2e01643f0b96b8002d269ac0150e938bb29d0469b67bbb72669b2a82b3e66d28cfecad5230f641c60f1c879e5
+DIST argh-0.31.1.tar.gz 57186 BLAKE2B a6167b6b1c18cb9ab50f476d39783e4f26aa57a25a2d503465c617b1f6adf72eb8a0ec6df3235a73dc443eaa413819b986bd290e3d093099f54abd349fe8b533 SHA512 cd4bb989e96587c1a0bdf9854164b6bc4cb35e529c19d4812741529f9ad880019ed4691fc2b02c49264dd0cc3f8a10400f7272f7ba9a1979cb5268bbbe83f3a7
EBUILD argh-0.31.0.ebuild 568 BLAKE2B 05b8b5604f12278df60027dcefe6d42e8b085832e1fb20b4b9072417d6666656bfd4b17a514b2e18dfedc31ca5ff865daef57c89a05799fd3de814002147a23e SHA512 3a4210d1cab92fa82b715a474670fa693312936377181e5609397e2b2db47bd5da31d4ba3e5b59375ead8c1e45e1e6acd3faac41b988e2892d1ed4868ce74528
+EBUILD argh-0.31.1.ebuild 576 BLAKE2B f988482c843886a7557c8d3bf9a12e47214cbb253a8b3a9ba42b136b0762a9dc61155e3ea8603cee7544dc11f99af60cdc14b55324ced0fa02ff3ad5aaf1342c SHA512 ef7c0721de8fba78a3e5fc20ee117975fc802840fe1233446840001ba1570f998fef268c42474cd94d68549131384a006be1e9f8457f64c7fcc7d6de3d17347a
MISC metadata.xml 385 BLAKE2B e1fc25e92c45fbd0183634cc645085fef5223a59975a5000557c1a2ef497c6f9ce017e462a9a881e61b4578c90859f51e5471d197ea884b7dc4ce90786a0987a SHA512 97719df6c0b48c7348bf25de9016dd1de373d6b9e1fd7f52d87eb6e0935608719c726aa3f4ca4aba8fa1211d1234c2b959dd821d241cd65b6cb47b1a06481df6
diff --git a/dev-python/argh/argh-0.31.1.ebuild b/dev-python/argh/argh-0.31.1.ebuild
new file mode 100644
index 000000000000..7fce261a4518
--- /dev/null
+++ b/dev-python/argh/argh-0.31.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A simple argparse wrapper"
+HOMEPAGE="
+ https://pythonhosted.org/argh/
+ https://github.com/neithere/argh/
+ https://pypi.org/project/argh/
+"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+LICENSE="LGPL-3"
+
+BDEPEND="
+ test? (
+ dev-python/iocapture[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/elastic-transport/Manifest b/dev-python/elastic-transport/Manifest
index a6df82777e40..10be9a17f924 100644
--- a/dev-python/elastic-transport/Manifest
+++ b/dev-python/elastic-transport/Manifest
@@ -1,3 +1,5 @@
DIST elastic-transport-python-8.11.0.gh.tar.gz 71944 BLAKE2B 9f5199b171f57169e2ca9d77f225a7ad1d67cc28550a41648f37305342f2cddb2c570e0b314057e49d4a5948ceacdbfbe3d928a456ef47fd334abebbf8c6c718 SHA512 b2ab09c63e5824d8cb59ed78728e4670115eee56bb07310e4d8a083b86eace4bc2dfc0dbefc4346906338acf195b193c0f2fc99a0dc1190ac30950fbe6fbcc70
+DIST elastic-transport-python-8.12.0.gh.tar.gz 72207 BLAKE2B 7777484c965eb893cd7d2cba1d39c2b33a005e7f6d6b3c12dd1cd0fb4e5c396abf36686421817ba1272e814ffef299453c885a6dcc3efe5cacd753bcd621384e SHA512 45834ccb4793d7aa7c7d1774ef26381b7ff0cf69221cc628efeb63a7ff8b163a68ff7f0ef4fa3a2b5ffd45e9374441d8b61b8a9b900f9055ddd67425cf0d727a
EBUILD elastic-transport-8.11.0.ebuild 1598 BLAKE2B ce65e15c415baaf9260b6600e57fee9257ffb94ae913377ea3ff38c151fb8fddb7c61516e1ecc4b6b5274e155744819384a7957db427fb413b239d3d6bbc9a5f SHA512 9f667bc6ee65560e1c80e89995efb0222a5fd8453a1994d2d191c6931ce4a1605f24116d7a1a1d79ffd9ea5b4104e2fb726a1f3194282b7e549e5a2b7f4dca3f
+EBUILD elastic-transport-8.12.0.ebuild 1606 BLAKE2B 94a42462feb4ce5422c30740cd57ed9c5eb9776e1ec41a26d45e1602d5139aa33de3f165f1467b7ebd122d1b937dcb32a2d60510273f30142d0d9689b9f6f5a6 SHA512 52896298ebfb8bf68c3d36796c42333beed835866764f6c8b06f4e0fa073bd73533764e4046e192b677ba43433649df5bc525f31927dc532ecf29ba556678c0f
MISC metadata.xml 569 BLAKE2B 82c4abea94dfb42f0da4cb2958207a35c7d5372e9810c031adcb53e49a0528f9b9fd48043d5d20cfd5a7e8046ea79bb9a6e48fe09948232fc641936bbee96738 SHA512 194ca8b79d33888cc404a5809a6ff43b2c2bef8b108cadce46393bd698b4d30124f6b6fd6732b2a905a2ec492169889f3042fd09d9577d28fa6a0921d88b56e2
diff --git a/dev-python/elastic-transport/elastic-transport-8.12.0.ebuild b/dev-python/elastic-transport/elastic-transport-8.12.0.ebuild
new file mode 100644
index 000000000000..b47209dd31d9
--- /dev/null
+++ b/dev-python/elastic-transport/elastic-transport-8.12.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=elastic-transport-python-${PV}
+DESCRIPTION="Transport classes and utilities shared among Python Elastic client libraries"
+HOMEPAGE="
+ https://github.com/elastic/elastic-transport-python/
+ https://pypi.org/project/elastic-transport/
+"
+SRC_URI="
+ https://github.com/elastic/elastic-transport-python/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/sphinx \
+ dev-python/furo \
+ dev-python/sphinx-autodoc-typehints
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e 's:, *<[0-9.]*::' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile to random warnings
+ tests/node/test_http_aiohttp.py::TestAiohttpHttpNode::test_uses_https_if_verify_certs_is_off
+ tests/node/test_urllib3_chain_certs.py::test_assert_fingerprint_in_cert_chain
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -o addopts=
+}
diff --git a/dev-python/elasticsearch/Manifest b/dev-python/elasticsearch/Manifest
index e893d8612f12..80baf90252d6 100644
--- a/dev-python/elasticsearch/Manifest
+++ b/dev-python/elasticsearch/Manifest
@@ -1,3 +1,5 @@
DIST elasticsearch-py-8.11.1.gh.tar.gz 902628 BLAKE2B 7a1d780ff9f326567b4023f4a87b2a3be430428c00c528d255502d36623b7d1d6e0811f50a03471254eb79fb1e4146ad24402f202c862cafb44ec16fbcdb454f SHA512 e2efbd3e0658180768a35b601e7bef2748390ce12419f82cdfb1656968666fcc6ae71411d4e88eb155b315d8d8197f65c3e25e6f1e18f04e6459662cf80ab12a
+DIST elasticsearch-py-8.12.0.gh.tar.gz 906227 BLAKE2B 95ebae72e94d57590e0c506a3e1655fec7ea61a192d909c6d2993121b91fbd5d3ce5385c0c687bd09ec2621ef1c416242adf969b12e2d3b26943da3fdbd7918d SHA512 5d8714ba110681ad78e0dc6d48bf67185a8b9dc8fd4fd99f6d5f773a52873c33471a5dc99a4635bd92dd21bb9e7dd957012da3f0610ed0eca0d748eb83ee8868
EBUILD elasticsearch-8.11.1.ebuild 2075 BLAKE2B 14ed493b4df750127118b0d1632ce3e755e58ff12f4f33395786b6822d163ab3c844f003d55b55635b8f7f57f6d87d0f963179bda8fc444a42ef8db364614ec2 SHA512 da36f77e4556c5e5e900a3e0ac1165e2c11a385f60aed20c1056876a7c8a512bf2efc22fabe9606ce1df7479714d32ff11739fbab680a6474dce0c210a46a5d7
+EBUILD elasticsearch-8.12.0.ebuild 2077 BLAKE2B 08119d598d8682b6ac891c47e61a6eb42253a2f88d77cd469fa1a856c83e30e8634d7a3bdf79563ab1341fc2e492ff9f4326e41f1de37c86542130c964aa177f SHA512 d8f1f929bbf11a41ded0dcbebdb03df630718ec4d4a7b13139f6ce1768561e6742e39176c47ae63d1b5fd4288c9fcb736d3805f50cf8bfaa0a353e9ea2bdfc59
MISC metadata.xml 563 BLAKE2B 55aa4f1e346ef660c4c8c5bf53518685e68fea80787d4a4175405e67c2b6e9c31d14fd48577c48c82ed59651c32110d4dbbd907ce29b599ca3bddddd1b5e808a SHA512 142657aca39d615755acb7cd6bdaa920935640ce1e3f00a241bb2a41ce2745fd73e341b80edf3fd830e9c9796285df1d69e62b868252602b6ff9e1ff6a2be599
diff --git a/dev-python/elasticsearch/elasticsearch-8.12.0.ebuild b/dev-python/elasticsearch/elasticsearch-8.12.0.ebuild
new file mode 100644
index 000000000000..43bb4d8286ac
--- /dev/null
+++ b/dev-python/elasticsearch/elasticsearch-8.12.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P="elasticsearch-py-${PV}"
+DESCRIPTION="Official Elasticsearch client library for Python"
+HOMEPAGE="
+ https://ela.st/es-python
+ https://github.com/elastic/elasticsearch-py/
+ https://pypi.org/project/elasticsearch/
+"
+SRC_URI="
+ https://github.com/elastic/elasticsearch-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/aiohttp-4[${PYTHON_USEDEP}]
+ >=dev-python/aiohttp-3[${PYTHON_USEDEP}]
+ <dev-python/elastic-transport-9[${PYTHON_USEDEP}]
+ >=dev-python/elastic-transport-8[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mapbox-vector-tile[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ dev-python/unasync[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # REST api tests are a black hole for effort. It downloads the tests
+ # so its an ever moving target. It also requires effort to blacklist
+ # tests for apis which are license restricted.
+ "test_elasticsearch/test_server/test_rest_api_spec.py"
+ # Counting deprecation warnings from python is bound to fail even
+ # if all are fixed in this package. Not worth it.
+ "test_elasticsearch/test_client/test_deprecated_options.py"
+ # Running daemon for tests is finicky and upstream CI fails at it
+ # as well.
+ "test_elasticsearch/test_server/"
+ "test_elasticsearch/test_async/test_server/"
+)
+
+distutils_enable_sphinx docs/sphinx \
+ dev-python/sphinx-autodoc-typehints \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts= -p asyncio
+}
diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index bd358c66a353..a315d47dcd75 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -1,3 +1,5 @@
DIST jupyterlab-4.0.10.tar.gz 18347775 BLAKE2B c217b18a5260da8a9ff7df833b7d2a4233255e5a0bbef37eb638bf0fcd99646f5233b70b17b0eb8a27c4fdc042c9dd55c94ffc4d593f890780c6e3f48cdaafd2 SHA512 e5203a17dcf682927cd480363d5952765e8c02c243f2a8fcbef785ffe4b58ea669a196c9040f516a3b4cecd323d54d005a91ce6ce5dfffb32d4e610c14a6f1e5
+DIST jupyterlab-4.0.11.tar.gz 18348142 BLAKE2B 6a2676504a6475d02965ef7b6e393a52c19b3c6af8e58938a189f6bf22693ec754be6c165029f7b9f68b1b80a9f8c20fb67600cb4e9c526da5ae386b3bf728d3 SHA512 b02d18d0e0ecffc9a5d847efe4ce7c7258c741fd6ae0842f25c2c446b16af7cb11ac422dff7807a1a19f4536b514914e098c4fd04a58ceadb8296ce9aca3e2f3
EBUILD jupyterlab-4.0.10.ebuild 2610 BLAKE2B 43cf71f66c0706f0ff3e34465946de03118fc540a9b8c415a3cfcc9bfcafa786031600365354ad9c7cbf1c6d075ea0493409bb280ae9bfdf7e2e93c3d8d2c3d3 SHA512 6c0aac16395c80b7393d3101e3864249b4523a5db3a432ccd51f4a909fccff93db42959a27eb13025eaa08f1db58e1bfa3758ddba6d32b8ec5032662b18b81c8
+EBUILD jupyterlab-4.0.11.ebuild 2615 BLAKE2B c0643bbfbcd6c5ca30e090cf8e1cae2d400dd2c11e283d4737dfcc7b2e75fe58962cd4d5ab930403418a2f0e18fda792f2874c9b501f5bfb2fd9245d9f47a0a2 SHA512 5998157191632668110865248ac80843b2a274b3d2e2041841d566e0731156cc4146891816e057c0595ec45b2590fece3ee1d127b1ce8e698179c01ca56ebbb0
MISC metadata.xml 412 BLAKE2B f0b40e19f8ba9dc116f0e4a882cabab6376f22d1eaeb3eac58ecff465ee2aff3564ddbf55e4ffb8971807a39945109a164037a954419671a274d3ac558b102ea SHA512 b6149a03585ca04bc3bf6f3ea6055e8e1fcb620a771359d150df7c22ee16bf09f57c8037df2161021fac0c194be0ac5ec79a31f0511d785e0c5b1ca96d817e42
diff --git a/dev-python/jupyterlab/jupyterlab-4.0.11.ebuild b/dev-python/jupyterlab/jupyterlab-4.0.11.ebuild
new file mode 100644
index 000000000000..2eb5e053e66d
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.0.11.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab/
+ https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/async-lru[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+ dev-python/jupyter-core[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.19[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ net-libs/nodejs
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ >=dev-python/pytest-jupyter-0.5.3[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-cache[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # These tests call npm and want internet
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+ jupyterlab/tests/test_announcements.py
+)
+
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme dev-python/myst-parser
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 5f5248914c4b..3c62e4dea00a 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,3 +1,5 @@
DIST notebook-7.0.6.tar.gz 3930144 BLAKE2B 488689b34b61c37f2233d57d6ef75b3bf843e2340846e88593a6b49d88fc52f908126d2e718808451df1f8cc6f9a5624adef47c1ae4984cd2ff5ed535d47cb37 SHA512 9f9ac4fae93af425a442c25c8a601578a76c802cc50018a6ff6ef99fbabfe3fb649094625dbdda2b7c526cb7262d2c463745b006d35cc1834d40712f3820895b
+DIST notebook-7.0.7.tar.gz 3936954 BLAKE2B 9171ae3974bd4eb36c804858224c386292a3772633017a8bf0c0ef408526278234b022087faad7930aa975c66762690e24a5a368bf9290937bdc8dff63757575 SHA512 05725f6bae2d916c9393f483a05696f6eb0e38a1b15a8427cbd61f508a06d78ead8a70c8764a00403c323b25a1278ea3a8daaf1ff5b5eeb0b35f6ed5e64ea638
EBUILD notebook-7.0.6.ebuild 1541 BLAKE2B ce669a28ddc3cec9add5a00b425d927510eb14ab55e6ab4ef1258b1da3798f5ab07643cb49413f1d46c121c8850e17f4de43f4c71628e1a8e0d30725fcc225b1 SHA512 1676577d6103d52b1b75a961713f19de1817ba004e0340beb973cd7547bcd86227b0e7c659f3451afd1df704fcb0834615b01f426a29ed88d0170c90ea6e6ff0
+EBUILD notebook-7.0.7.ebuild 1546 BLAKE2B 83beac436dd790e6f71e94b355da03b6f2730afc7a9205c37887173f4dbf44a1d3a227567df84c76d1586ae08a2f9325bc417884d95586c7057541b23d01e78d SHA512 d8ca7a0503464e54571c43be8d4a27a4b2c37b9bf541712c43e76db1f652749154c8dc9187502c054e2351c48d42206f70ac8977b3c224d76787efbb678cfbe4
MISC metadata.xml 525 BLAKE2B 03602bbd7c6b55aaa4c4d6011a91127090359079ed2d7e6b9e3cefe63b2b249b36cd172a40d1ce69234de2440d9248e933dd94a636b95c07f06a658ecb929227 SHA512 18f6bd5cb4b1c90cc228a5ee506cea17c4aa9d60174e00c7cb4df654d5d7158aa20ea6346bf9a0734877402a0e0916aa7f9e82f0bdce0cca78c877c5e87550e3
diff --git a/dev-python/notebook/notebook-7.0.7.ebuild b/dev-python/notebook/notebook-7.0.7.ebuild
new file mode 100644
index 000000000000..9bfcea5ac5ee
--- /dev/null
+++ b/dev-python/notebook/notebook-7.0.7.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/notebook/
+ https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.0.2[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-5[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/nbval[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/pydantic/Manifest b/dev-python/pydantic/Manifest
index b21785b3fde3..c241b30d9ca9 100644
--- a/dev-python/pydantic/Manifest
+++ b/dev-python/pydantic/Manifest
@@ -1,9 +1,11 @@
DIST pydantic-1.10.13.gh.tar.gz 766572 BLAKE2B 3d4f4453469f960467ddf3512be8e97f0abf40406d441a1bc8909df1ebc0e7deaa5e84640d8614395e36d619e87f9d47327cd71526dae203046488d114ade49f SHA512 7ae96c08080e9d3bf3b66ee8ee77efc0b89b6630d4f0c37679e27a28a6433b3628fd342991cf38412ff6d1034c4a907841f74759c2e6b4d51d413d76625d5bfd
+DIST pydantic-1.10.14.gh.tar.gz 767164 BLAKE2B 0018f8db7f0d1e1063e9cf58047319f317aee968cd07837a1983c4283ef317a54d45d717829d2b7e4d5ae6257137a125372323322873fe3354c709ed096f320c SHA512 ba90fc57172b395398b87cac44778e842fba2d28c31d8d90ad49bf870c27da71b9eef2a5cf786b0de0a3ee84af187c0759b8b27a42edaa0feb7183a2b99aa52a
DIST pydantic-2.4.2.tar.gz 654020 BLAKE2B 2f91b6bf89f87230976a2e777541bb7418382fb3534f5e61e1dc74a18e5e939508a2440d6bee9a09030beb5f2b6a60fd62c3bf30ee0ee2c7d3f71575920a47f3 SHA512 f0e0d90ead4ba754974b38f8e3d24bc017696674ca1ed3300104389d149baa41c495218a118f5e7f98bf20d34b3c17439921eaff0ccd7bf76cac96a16e592b4e
DIST pydantic-2.5.1.tar.gz 651461 BLAKE2B 4c52abec0f1fc52fdaa0bd820bbb649ffdc348c1b1537ca31b73bf4c4477055841c0cd08df5336e0388974ebe20c384349c4233af20149317d79f51ee98208c6 SHA512 5a3ca05a57297cded56a21f37e13a61e7abce3faa34b1d2f4ad1abab0205aa8b7f753b6e0ac630336ea398b9c5ebd4c7cab55df4fa0f9e965e07b5a7e9d49f3c
DIST pydantic-2.5.2.tar.gz 652158 BLAKE2B d3a7eeb4e1933d4893df69d2600437a4df1a640f4ec6564079669f8703b8d21bba548197277a373e5a653f4aea67de2336ea983906c2e96b514cdab3f8821dc1 SHA512 56753c9739759251004476620ca25d69bebc7743da911f69a09fcbffa6d6e5ec9b9fc22975e845599fcb2aed5cbbf081c3737d6eab55b9e1696818c4da405e6d
DIST pydantic-2.5.3.tar.gz 651797 BLAKE2B 9494bd7a243d5cda762d916b10120861870b5f3112f581aa33b888eab7b605adcd3eb861853467e2d021b88b1c2583bbaf6ace8e96154543c6946e13722ed345 SHA512 bfc2f9704688815dbf418e2a7c72e193de80f279ac578fdaefe763f7cd8a9dce6c9152bd950d013f7fa48ea743468ae588adf61e277924536637590b63792779
EBUILD pydantic-1.10.13.ebuild 2518 BLAKE2B 84f7ee9b095b56518792f81df308652cdc725c6accef3388615bfea735c676f45e449e0c60ec030349b067a8a97833669071f493325c6644c7a73d08d348dcc3 SHA512 7fedbe4158ce80d41e8686ed19618bb818d3efdf8d508a8d4fdef7f8525a3e4e1364a340ba0d710f2b33327a280e33e5df15c0ea2920446dfee3d1b95cc4862f
+EBUILD pydantic-1.10.14.ebuild 2588 BLAKE2B f84d3578528d95f91109c69b2eb033737787c7773707f942fd596eebc0c8c53d5cc01d701bb1ab2aa898aef5fea3cf214f5010a20a28b76221a7747533125d83 SHA512 f685afd18638422e10939bdc4ba490f8f649d72590f4474683f580fe30ddf143cbace9fbf987cdc76bffab13f5c4bc4305d2d4c527a10585236e4aa373b3af86
EBUILD pydantic-2.4.2.ebuild 1250 BLAKE2B fb5c066368f642dc425e0781fbb3cdb5c26ee33f3a82be385be5a82dd398a9a9321bbb61f44f57afc68b088def410fc78a828811562823baed1ff1d26231915f SHA512 fc87f16830ad126ddefa4ce73b36a9b7221a52a2b911923893dac9f7b26afc6a5563225c8ef2dab7aaf4ee115f32a5908b65430d7664e77636eeb491aa5877ea
EBUILD pydantic-2.5.1.ebuild 1307 BLAKE2B 31e1e4931c47dc2303461d74fb5d5276db26d3dc78f6ecfa2f2912af5b60d724145c5cb05e7e0461652e0988411cf24a0d344d7fa3100f3f2be708eec4e5ee4b SHA512 12b6783c94f8822af6140a3d750725b6ae41ba7e51678de897a59d1dbf3cbcb221146c2cb2372061a3a27a8dc446abcdffb81c398ee97f604b40615ec2ff4ef0
EBUILD pydantic-2.5.2.ebuild 1301 BLAKE2B bfc58ebdd2138eb90f4971145ad575e5d1a9eedea480195db7dffbecd3582bbf60ec14fa1c3dc7c47a3417f35da839346829851a5a56e873218a37f16a51c4eb SHA512 05739299d4a836fe99b52230c6d6af22da0200f3040bb701091aadc8c0ea85b29c26b22d1e28c7d422a051ac17bfd8b52e2aa9682d72e0d7235efdfe00892071
diff --git a/dev-python/pydantic/pydantic-1.10.14.ebuild b/dev-python/pydantic/pydantic-1.10.14.ebuild
new file mode 100644
index 000000000000..93362f6ced1b
--- /dev/null
+++ b/dev-python/pydantic/pydantic-1.10.14.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=${P/_beta/b}
+DESCRIPTION="Data parsing and validation using Python type hints"
+HOMEPAGE="
+ https://github.com/pydantic/pydantic/
+ https://pypi.org/project/pydantic/
+"
+SRC_URI="
+ https://github.com/pydantic/pydantic/archive/v${PV/_beta/b}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="native-extensions"
+
+RDEPEND="
+ >=dev-python/typing-extensions-4.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ native-extensions? (
+ <dev-python/cython-3[${PYTHON_USEDEP}]
+ )
+ test? (
+ >=dev-python/email-validator-1.2.1[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/CFLAGS/d' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ if [[ ${EPYTHON} == pypy3 ]] || ! use native-extensions; then
+ # do not build extensions on PyPy to workaround
+ # https://github.com/cython/cython/issues/4763
+ local -x SKIP_CYTHON=1
+ fi
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_mock
+
+ local EPYTEST_DESELECT=(
+ # flaky test, known upstream
+ tests/test_hypothesis_plugin.py::test_can_construct_models_with_all_fields
+ # mypy linting causes regressions with new mypy versions
+ tests/mypy
+ )
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ tests/test_private_attributes.py::test_private_attribute
+ tests/test_private_attributes.py::test_private_attribute_annotation
+ tests/test_private_attributes.py::test_private_attribute_factory
+ tests/test_private_attributes.py::test_private_attribute_multiple_inheritance
+ tests/test_private_attributes.py::test_underscore_attrs_are_private
+ tests/test_validators.py::test_annotated_validator_builtin
+ )
+ ;;
+ python3.12)
+ EPYTEST_DESELECT+=(
+ tests/test_abc.py::test_model_subclassing_abstract_base_classes_without_implementation_raises_exception
+ tests/test_generics.py::test_partial_specification_name
+ tests/test_generics.py::test_parse_generic_json
+ tests/test_types.py::test_secretfield
+ )
+ ;;
+ esac
+ rm -rf pydantic || die
+ epytest
+}
diff --git a/dev-python/pydata-sphinx-theme/Manifest b/dev-python/pydata-sphinx-theme/Manifest
index b29ed4fd90ee..fb51b6314362 100644
--- a/dev-python/pydata-sphinx-theme/Manifest
+++ b/dev-python/pydata-sphinx-theme/Manifest
@@ -1,4 +1,7 @@
DIST pydata-sphinx-theme-0.15.1.gh.tar.gz 2408417 BLAKE2B ce5f21c2f9f2b94a7fc7d907c44527459e46c735e3c7bf39966b2402acf94948d9f91941962598d61b992f33b8fde2381e8c5649e9593386572ee79712160f4f SHA512 34eccf49c69e55999e6af2797c0c861f49c43c0d014f05b200ee40cfd703abaecd90be9aaf52409556b9d5acff6238ce09040959a7a07f4dc285a6d40ecfc912
+DIST pydata-sphinx-theme-0.15.2.gh.tar.gz 2409617 BLAKE2B ee9405e36241bfac93927e4de2d12f65b95717e459b1f584179f0d7ad2c5161b85b39ef60527de8b2e0eac8a38621452e3a5dcf15733980359b4f03526a906bb SHA512 11653f36def68ddc63994d00e1de63575ce6a24f7b2887c53ea8c3063bdc30fe57baf25e239a70f63a1598625a3707ac405171230c977d7e0ed3f88404c8cd21
DIST pydata_sphinx_theme-0.15.1-py3-none-any.whl 4521543 BLAKE2B c5e20e42ce2fd32a46b39037fe680c2ec6a420cc76a02dc1c391f633e3a164de28d107834add9b427e5f27afde0a86e8d32287084c10959cf444f5580a3fb231 SHA512 13ebf72548c963fa850aa2da9d73863cc4c771c7db5a5d90a18af3408f2cf3d75d908aa40c16dfe098941ec5128a0117e5c29aab3e3119715207af28e3a6f8d5
+DIST pydata_sphinx_theme-0.15.2-py3-none-any.whl 4523706 BLAKE2B fdb3ca53d26b7da882b9530929bb41729d77af6aef8c5748c41ab9ea4b43cdc858dd3f270432c18accc59e5408a267125f840b4ed2815d0cda7e748afffa90d0 SHA512 60c00161768cb0259462e7af16b8d2324ddc367391d83efcb34dd7999364b2745795cb6807a903f80cfaf21bd8b2b466cbee3fa9cb800be4221955ab888481d0
EBUILD pydata-sphinx-theme-0.15.1.ebuild 1349 BLAKE2B a29a661e338383f57e0f8cfcc823e018f021082e30eab32e371b714e3e497faf2cd50b44ddf2d2dd135b49b35055061369edba1a209ef5e07ca5a73b55c8d0ba SHA512 1dc7a28c37afdb4bc0425f9d5292f505d94b297967d70d9ddae1e39fd3c23cb87c1e7f580672e8be8ca9b1fe0859f77231a2f292aa9edac1964d946c43859fc0
+EBUILD pydata-sphinx-theme-0.15.2.ebuild 1357 BLAKE2B 938a198ea87323de092db882cf7df174c594aa7a6d3165740359d99c66402f88b99e18814c4349a8e8e18d20358127d15957dfec24e4bd10beff0a87ad3055cf SHA512 f1c1418a88c535c6e7e4e19971294c6531401c2fcf5ee71823f7b2e026e969a80da9f22a95262bd395a1a367bf1819ebd5f235f73be835ab64b244f939a6ccaa
MISC metadata.xml 532 BLAKE2B 397b44fab769346cc170d5627dc663adbe29b780cbabc3d7643d5bda6ff89d6fbe6e6f55da69e93b8b20ddee16856612063b442125a16e035803e50f5aae924f SHA512 9de912fb51a153d508f3a12a3eb7ef3cd926089452bd6bfb822ae4a797d8aeb9ac68973ea7bebf3095f546dd288fdf651710ca8536f19907ac69f622ca3b0550
diff --git a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.15.2.ebuild b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.15.2.ebuild
new file mode 100644
index 000000000000..5436ae77e57a
--- /dev/null
+++ b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.15.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Bootstrap-based Sphinx theme from the PyData community"
+HOMEPAGE="
+ https://github.com/pydata/pydata-sphinx-theme/
+ https://pypi.org/project/pydata-sphinx-theme/
+"
+SRC_URI="
+ https://github.com/pydata/pydata-sphinx-theme/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ $(pypi_wheel_url)
+"
+
+LICENSE="BSD-with-disclosure"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/accessible-pygments[${PYTHON_USEDEP}]
+ dev-python/Babel[${PYTHON_USEDEP}]
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-5[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-regressions[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils_wheel_install "${BUILD_DIR}/install" \
+ "${DISTDIR}/$(pypi_wheel_name)"
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)/pydata_sphinx_theme" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/pyfakefs/Manifest b/dev-python/pyfakefs/Manifest
index db0e78d570ba..1fb684665a0a 100644
--- a/dev-python/pyfakefs/Manifest
+++ b/dev-python/pyfakefs/Manifest
@@ -1,3 +1,5 @@
DIST pyfakefs-5.3.2.gh.tar.gz 225929 BLAKE2B 1a84f52e8d85b55d2ebc0dcf9c4b44bd053c0a3a12d6c47c1f8d5aec304e39a83ffb01d4c707929955ca5cd86ae9427332d5bf043cb7f910fe1d17fbcc19e35c SHA512 4cc2c861fa358c06832df6e8a7cfc91e2b9be42f1164378ea6bd0a3a6cc48f36c545b7d61e03591d025ef7bd98fdc812f903973f28a278056961aec22ca88641
+DIST pyfakefs-5.3.4.gh.tar.gz 226538 BLAKE2B b0cac2799c7d9517a1fc89d15cf92222dc5d5438ba4c43bc8796afbf77c2c7a2729bf42e1b57b1fb3777a91aa0fa12e0d6a0a6e0068855fba86bf6e372bac28e SHA512 10c56af0b871b8b8ce483d01234ebba953b038fd030edf4f0fedcb5b23ee897c912d9e9404521ec11f9e8d0d041d4bde4f101a4d99b3b527721c4c291c2a6745
EBUILD pyfakefs-5.3.2.ebuild 883 BLAKE2B 4331afe4e3ca432f01132f3a238fbdeea1e8355c40bf1910dfb42c47c7a7e8b53e9f78e8b064cb0a78f26d33f21ab74962168a1f249d540674ccdffad91566d0 SHA512 16de4a375ae109fcc891ed87a465f1e8713b68a6a89cd604d9da9b7842079d836a403284a84ca327c7f48ba7e60ceb09e6bd4611d86596c890814296458f5ab7
+EBUILD pyfakefs-5.3.4.ebuild 985 BLAKE2B 1f6d7d0b86d2a8df9080fa01b1e9edfebb8396554207a92917233ad1259afb6451d1995bc61706872d0ff28672e662d4147de50273611a37673ce5a14d8cd2ff SHA512 3dce3bbb7780694eb317da7b66deeca0b465c7111df923a187e4d94af11a583590ab062dd615af95bacb4cff538b8b9633aa531bcb46ae643148b5b04f6a6820
MISC metadata.xml 395 BLAKE2B add696dab9f93cad522087325d7cea08bb0d6905a093c0dd721b8ee0cc5f06a97e8b29663920e5131fd1cfaf38a1fb1c22908daa155025713ffbf18d87a2d5ec SHA512 454f9cf42ae315bb9d4b7c9a2a8b9a690163befc8f738b1fe4a145f1f3a9a5f59693e4cd1ebd4c501005cac1ab81c8b57b2316ac50739dfa96919b6de4850b9a
diff --git a/dev-python/pyfakefs/pyfakefs-5.3.4.ebuild b/dev-python/pyfakefs/pyfakefs-5.3.4.ebuild
new file mode 100644
index 000000000000..754709257053
--- /dev/null
+++ b/dev-python/pyfakefs/pyfakefs-5.3.4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A fake file system that mocks the Python file system modules"
+HOMEPAGE="
+ https://github.com/pytest-dev/pyfakefs/
+ https://pypi.org/project/pyfakefs/
+"
+SRC_URI="
+ https://github.com/pytest-dev/pyfakefs/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ local EPYTEST_IGNORE=(
+ # test for regression with opentimelineio package
+ pyfakefs/pytest_tests/segfault_test.py
+ # test for regression with undefined package
+ pyfakefs/pytest_tests/pytest_fixture_test.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pyfakefs.pytest_plugin
+}
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index bea34dc02214..b10a84a08cac 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -1,4 +1,6 @@
DIST pypdf-3.17.4.gh.tar.gz 7976829 BLAKE2B c2b7aef937186aecf525729f336ad6d00a8bf40850be17cb450daba5d0100acc0b0c3f51ef242e3cf7ef710d5c40c9f334db94a372b6d6eb4f2270dc00dde156 SHA512 f687a2032f085dac9b920f881f2df9f96e4da2a8dcdd5f971d3601ab05ae4f9b5528d0155adcb5ef01c6d8ffdc4f3d79077706915851bad7868bf761d28c513a
+DIST pypdf-4.0.0.gh.tar.gz 7992828 BLAKE2B 97ab3783ab91ebc638b625fe39c3008516de82f1ac384a45ef27a06bb0b91a86a5fdc24efbb92644a4355743b24e86f68822858eef2df39a3b6415795276c7c4 SHA512 488adffc330bb372df245d2dfdaee357bcd4303cc33d7ee31fd7abc393ce366c78715ca4a6516795ada6b5517ca32fec5f24cdad15e0d2c109fa90ebd2f9b05c
DIST pypdf-sample-files-964fb47b0fbfa89864680582640ae4eedf143890.gh.tar.gz 11668924 BLAKE2B 0c7d8e7cfb2f9d06d7633d57b691ba473d33cfcb58d2f1f83661cef9d755340d05db8767771a385d0ba88aa904f84b8bc7eafdb5d4f614b7a21a2d138572316f SHA512 28070b575273b6fee3173e797ed5bac618f8e8aca16d0122dcf3b4b16cedbcad69b84a9bc4be65037695597bcc1fa7898cdf766c37915c49f880a0c6ca057e68
EBUILD pypdf-3.17.4.ebuild 1358 BLAKE2B 06c968d344aeb134c17141f789f938131b0d4555a9d00b11b52c8fcd71bdd9c5ed990eaf679ee56f123d99384a10b9cad6e70894a4a55da53bf6a3a5076b28de SHA512 57f571867687731a9d5dbd6f8e32c21345fb1fadd84879116a00102c00bf6934162f4c72154cafabe7c995d20bc64264571b7d6e28d74dab3f0cc05bb5c719e0
+EBUILD pypdf-4.0.0.ebuild 1467 BLAKE2B d700b7eced0e8007f5cf51fc60cee8c29844e3f2d13b6ac615bfc385b2e8d5831bfa82fc54373c46c56132c0bb537c04a573ba83b31465cda01000542ece8844 SHA512 696e58f22954df911dd35ab188c7460d3fcde6cb49013cb3e814d526a63b5eae1ffe3773df955ef1eaa09aba52b24793aafc48ccdeb3e30586b10076160c813f
MISC metadata.xml 373 BLAKE2B a829b7048eb3a95caeb1be83b6172603df6a031d40995294f2687bf3c3cb70e66fafb9ba8339d9979fc85f5936b9552963a8fcd072a20661fa78f3aa3c4b89c0 SHA512 775ac2de487f11fba1ea8d283b42b9ef56e42cd95ea11f50a06b099420e69c0567f65c506b14891ac641da90ea05ca70da4f8a3e4a028cf41bdbc823021dccfe
diff --git a/dev-python/pypdf/pypdf-4.0.0.ebuild b/dev-python/pypdf/pypdf-4.0.0.ebuild
new file mode 100644
index 000000000000..e314f1fdfa84
--- /dev/null
+++ b/dev-python/pypdf/pypdf-4.0.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=964fb47b0fbfa89864680582640ae4eedf143890
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+ https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8.0.0[jpeg,jpeg2k,tiff,${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ tests/test_reader.py::test_decode_permissions
+ tests/test_workflows.py::test_text_extraction_layout_mode
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+ tests/test_writer.py::test_remove_image_per_type
+ # TODO: requires fpdf
+ tests/test_page.py::test_compression
+ tests/test_writer.py::test_merging_many_temporary_files
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+ fi
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts= -m "not enable_socket"
+}
diff --git a/dev-python/sphinx-issues/Manifest b/dev-python/sphinx-issues/Manifest
index dff1b6f724b4..c27482ff999c 100644
--- a/dev-python/sphinx-issues/Manifest
+++ b/dev-python/sphinx-issues/Manifest
@@ -1,3 +1,5 @@
DIST sphinx-issues-3.0.1.gh.tar.gz 12320 BLAKE2B 770aa19a443bacd489157244f087fdb99740d5eae2f45246ab0fd0596260f249dcf7fb0642acf0a925d1a1def08f6d944a2ec67017334843b636623b05df8327 SHA512 dd64e1611eb58fc455bedb1658473fd71e4deab1371d8a42e6fa7fe3b128a991251add12e463b9a5826fd4eb5aa12e9a117dcf953feeb8df980a7951e43d8baa
+DIST sphinx_issues-4.0.0.tar.gz 13945 BLAKE2B 43994155a5040b63f34f48b2ddf8f39cf36bd97fc464619f1adb55a2c9b433fb5c1c65f8cd5b2f7928afbd5ebbbbad67c69490ae67aaf220c0a5cf8c44876b69 SHA512 77e249c9ccd9dec96e64ba898e8cf2d1922c6190ad67e9d4d823a4d08d3c07bae217a8bf51c193fc5331c289e53ce6f93ae3d685ac9a618d41f565930557dabb
EBUILD sphinx-issues-3.0.1-r1.ebuild 831 BLAKE2B 5f7792ed08d31f72b6f7be5c9ff4d9415ee694faac35b1747a76615b29762cfb8764ae11e7ddcda4be3e98f877a39a4f74c8d4bc4cdcc8d0b81a1b8bafb92e57 SHA512 e12ef325c16e6d096f55550443cab4e3bd2648061a9e0509613133e468d0619ca354e44582f418f55acae5a842bbc3c9c0645a80fda57a6102a678e6c1cb811a
+EBUILD sphinx-issues-4.0.0.ebuild 744 BLAKE2B d67e0e92912495dadf97f67959c14d66ae20c942b573ed8f4dd048eeb8a6bcff7a689f06cb58ed4bc696c292e1360fd53541519a48e9eecb15bd3745b40b330f SHA512 97c263bd7222b0a73a782b97cfb4e6a202f243578c349744207c2d79e3299729c96bb0a4e20f464ac1d10d00fb76773429b4cc94bd3bfb163314f0cbfbfe1539
MISC metadata.xml 484 BLAKE2B 7fad72573c26a9a59e9fea1805e085ad0f1833f4f34a24cb942671b5f30024d816f3f50060c92f3222e88591728f386682a93591a118bfcb74e1c8969a7da50a SHA512 16d56d729665f82a962aa82ea236abd5c98b2e9fa1172390984560680eb39a14758174959aa4ec90806b1b9c286cbb257f8c7c886b9cb52cbfcc30e925be42cf
diff --git a/dev-python/sphinx-issues/sphinx-issues-4.0.0.ebuild b/dev-python/sphinx-issues/sphinx-issues-4.0.0.ebuild
new file mode 100644
index 000000000000..1c02b09b26d4
--- /dev/null
+++ b/dev-python/sphinx-issues/sphinx-issues-4.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extension for linking to your project's issue tracker"
+HOMEPAGE="
+ https://github.com/sloria/sphinx-issues/
+ https://pypi.org/project/sphinx-issues/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # doesn't work in our pep517 install
+ tests/test_sphinx_issues.py::test_sphinx_build_integration
+)